Child Address Transactions
curl --request GET \
--url https://api.blockradar.co/v2/wallets/{walletId}/addresses/{addressId}/virtual-accounts/{virtualAccountId}/transactions \
--header 'x-api-key: <api-key>'import requests
url = "https://api.blockradar.co/v2/wallets/{walletId}/addresses/{addressId}/virtual-accounts/{virtualAccountId}/transactions"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.blockradar.co/v2/wallets/{walletId}/addresses/{addressId}/virtual-accounts/{virtualAccountId}/transactions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"statusCode": 200,
"message": "Virtual account transactions retrieved successfully",
"data": [
{
"id": "ad3ce9a3-3e1c-43dc-bb7f-2c570fc7bfdc",
"reference": "auto-funding-09026725110701402449700167083590131815",
"senderAddress": "0xD2b6be31932E0294F2ebD14a008C3f1E05B47BC4",
"recipientAddress": "0xbaD4E4B5e6660AcD138F776a992b566e8Bf3bb15",
"tokenAddress": "0x46C85152bFe9f96829aA94755D9f915F9B10EF5F",
"amount": "50.0",
"amountPaid": "50.0",
"amountUSD": "50.0",
"rateUSD": "1.0",
"fee": null,
"feeUSD": null,
"currency": "NGN",
"toCurrency": null,
"hash": "0xbe0c9a4dd314b6220c4eaae218003e753e948ce6183b5b92c764501e1b4e7c0a",
"confirmed": true,
"status": "SUCCESS",
"processingStatus": "SUCCESS",
"processingProviderReference": null,
"type": "DEPOSIT",
"note": "Auto funding of 50.0 cNGN",
"createdAt": "2026-01-22T22:29:28.679Z",
"updatedAt": "2026-01-22T23:15:21.849Z"
}
],
"meta": {
"total": 1,
"page": 1,
"limit": 10,
"pageCount": 1,
"hasPreviousPage": false,
"hasNextPage": false
},
"links": {
"first": "https://api.blockradar.co/v2/wallets/4465468a-3c36-4536-918a-91d689e18a74/addresses/a2746f77-56b1-4b34-b0f3-53ad99bf53e2/virtual-accounts/3e8fcd73-4067-4386-8c1e-9929e6a768d7/transactions?page=1&limit=10",
"previous": null,
"next": null,
"last": "https://api.blockradar.co/v2/wallets/4465468a-3c36-4536-918a-91d689e18a74/addresses/a2746f77-56b1-4b34-b0f3-53ad99bf53e2/virtual-accounts/3e8fcd73-4067-4386-8c1e-9929e6a768d7/transactions?page=1&limit=10"
}
}v2
Child Address Transactions
GET
/
v2
/
wallets
/
{walletId}
/
addresses
/
{addressId}
/
virtual-accounts
/
{virtualAccountId}
/
transactions
Child Address Transactions
Authorizations
Path Parameters
Wallet identifier.
Child address identifier.
Virtual account identifier.
Query Parameters
Search by reference, label, account name, or account number.
Inclusive ISO 8601 start date. Required only when endDate is supplied.
Inclusive ISO 8601 end date. Required only when startDate is supplied.
One-based page number.
Required range:
x >= 1Records per page. Maximum 100.
Required range:
1 <= x <= 100⌘I

